Overview | Modules | Class Hierarchy | Classes | Members

# CopyPropertyDialog Class Reference

`#include <CopyPropertyDialog.h>`

List of all members.

## Detailed Description

This file is part of Tulip (www.tulip-software.org)

Authors: David Auber and the Tulip development Team from LaBRI, University of Bordeaux 1 and Inria Bordeaux - Sud Ouest

Tulip is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

Tulip is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

## Public Types

- enum destType { NEW, LOCAL, INHERITED }

## Public Slots

- void setNew (bool)
- void setLocal (bool)
- void setInherited (bool)

## Public Member Functions

- CopyPropertyDialog (QWidget *parent=0)
- void setProperties (std::string &srcProp, std::vector< std::string > &localProps, std::vector< std::string > &inheritedProps)
- bool getDestinationProperty (destType &, std::string &prop)

## Member Enumeration Documentation

enum CopyPropertyDialog::destType

Enumerator:

  NEW |
  LOCAL |
  INHERITED |

## Constructor & Destructor Documentation

CopyPropertyDialog::CopyPropertyDialog | ( | QWidget * | parent = `0` | ) |

## Member Function Documentation

bool CopyPropertyDialog::getDestinationProperty | ( | destType & | ,
|  | std::string & | prop
| ) |

void CopyPropertyDialog::setInherited | ( | bool |  | ) | `[slot]`

void CopyPropertyDialog::setLocal | ( | bool |  | ) | `[slot]`

void CopyPropertyDialog::setNew | ( | bool |  | ) | `[slot]`

void CopyPropertyDialog::setProperties | ( | std::string & | srcProp,
|  | std::vector< std::string > & | localProps,
|  | std::vector< std::string > & | inheritedProps
| ) |

Tulip Software by LaBRI Visualization Team 2001 - 2010